Subject: Re: [Technical Errata Reported] RFC5952 (2656)

From: Ed Jankiewicz <[email-masked]>
Date: Fri, 03 Dec 2010 16:30:08 -0500

I should have said that I supported the clarification/revision to 
canonical format in RFC 5952, as it was discussed and accepted by the 
working group.  I accept that you are proposing revising RFC 5952 to 
allow both upper and lower case, but feel that an errata report is not 
sufficient to do that.  The RFC states what it states, and to change 
that (probably) requires another RFC.  Implementers recognize RFCs as 
normative, not necessarily errata; the only thing that changes a 
published RFC is another RFC that explicitly obsoletes it.

Your appeal to precedent in that list of RFCs is a compelling argument 
against forbidding upper case.  I was not trying to quash discussion on 
this, it certain bears further discussion.

On 12/3/2010 3:04 PM, [email-masked] wrote:
> --- On Fri, 12/3/10, Ed Jankiewicz<[email-masked]>  wrote:
>> I concur with support for the decision in RFC 5952 to establish a
>> canonical format for IPv6 addresses.  The choice of lower-case was
>> deliberate and subject to review and consensus within the working group,
>> and should not be construed as an "erratum".  Opinions and
>> implementations may vary.  "Harm" in non-conformance is minor, resulting
>> in more complex processing of textual output as input to another
>> system.  The canonical format was intended to to make such textual
>> output from various implementations to be comparable, for merging and
>> sorting in reports, etc.  Personally, I would code defensively (liberal
>> in what I accept from other systems) while respecting the canonical
>> format for my output (conservative in what I do) [RFC793].
> I don't understand your reply.  You say you support lower case output, yet also state that output should take the canonical format which traditionally has been upper case, not lower case as proposed in this RFC.  Please clarify as I read your comment as doubletalk.
>
> Furthermore, doesn't my change in text also propose being liberal in what one accepts while being strict in what one issues, thus addressing the RFC 793 reference made above?  Without the change, I read RFC 5952 as FORBIDDING upper-cased alphabetic hexadecimal digits regardless of the chosen case for output -- which is inconsistent with this premise and with history.
>
>
>
> I also found the other comment regarding "everyone does it" as not convincing nor controlling.  Such a common violation would call for relaxing the standard to be either case, but does not warrant mandating lower case over 50+ years of traditional upper case values.
>
>
> RFCs 1448, 1630, 1738, 1778, 1808, 2056, 2224, 2396, and 2616 all define "hex-digit" as being of either case.  RFCs 2234 and 3174 define it as upper-case only.  None of these forbid upper-case values as 5952 proposes.  If it were truly the intent of the working group that produced this document to outlaw upper-case alphabetic hexadecimal digits contrary to operability, history, and other RFCs, then I must oppose this RFC from being accepted as standard.  It should be rejected, leaving RFC 4291 as controlling the standard.

-- 
Ed Jankiewicz - SRI International
Fort Monmouth Branch Office - IPv6 Research
Supporting DISA Standards Engineering Branch
732-389-1003 or  [email-masked]